> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/user-guide/collaboration-experience/call-quality-nql-capabilities.md).

# 通話品質の NQL 機能

[Investigations](/platform/ja/user-guide/investigations.md) を通じて、[NQL データモデル](/platform/ja/understanding-key-data-platform-concepts/nql-data-model.md) の `collaboration.sessions` テーブルを使用し、コラボレーションデータにアクセスします。

### 通話品質データの調査とクエリ <a href="#gettingstartedwithcollaborationexperience-theinvestigationsmodule" id="gettingstartedwithcollaborationexperience-theinvestigationsmodule"></a>

統合された `call.quality` 指標を使用して、音声、ビデオ、画面共有の品質や、通話に影響する接続問題など複数の要因を組み合わせ、通話全体の品質を評価します。

{% code overflow="wrap" lineNumbers="true" %}

```
collaboration.sessions past 24h
| summarize poor_qualitycalls=countif(call.quality=poor)by device.name
| list device.name, poor_qualitycalls
| sort poor_qualitycalls desc 
```

{% endcode %}

### MS Teams Rooms の通話を特定する

会議室で行われた通話は、NQL フィールド `collaboration.session.participant_device.type` からアクセスできるデバイスタイプ **room\_system** を使って容易に識別できます。

Microsoft Teams Rooms を搭載したデバイスを取得するには、次のクエリを使用します:

{% code overflow="wrap" lineNumbers="true" %}

```
devices 
| with collection.sessions 
| where participant_device.type = room_system or device.meeting_room_name != null
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nexthink.com/platform/ja/user-guide/collaboration-experience/call-quality-nql-capabilities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
